Page MenuHomePhabricator

Add .gitignore
AbandonedPublic

Authored by rodgert on Feb 14 2019, 9:20 PM.

Details

Reviewers
ldionne
Summary

The makefile spews build artifacts into the build/ directory, ignore
them.

Event Timeline

rodgert created this revision.Feb 14 2019, 9:20 PM
rodgert updated this revision to Diff 186961.Feb 14 2019, 10:23 PM
  • Add ifdef guards for parallel overloads
rodgert updated this revision to Diff 186967.Feb 14 2019, 11:28 PM
  • Introduce forward definitions
rodgert updated this revision to Diff 186970.Feb 15 2019, 12:02 AM
  • Remove unused include
ldionne accepted this revision.Feb 15 2019, 7:18 AM
ldionne added inline comments.
.gitignore
3

I don't have this problem, but I don't mind. But you can also put whatever you want in .git/info/exclude for things that should be ignored only on your machine.

This revision is now accepted and ready to land.Feb 15 2019, 7:18 AM
rodgert updated this revision to Diff 187467.Feb 19 2019, 4:24 PM
  • Introduce forward declaratoins
  • Deprecate non-cmake build and test suite
rodgert abandoned this revision.Feb 21 2019, 4:11 PM

I'm going to resubmit this as a set of smaller patches